MSWTextInternal::Footnote Struct Reference

Internal: the footnote. More...

## Public Member Functions

| Footnote ()
| constructor More...

## Public Attributes

MWAWEntry | m_pos
| the footnote data More...
int | m_id
| the id More...
int | m_value
| a value ( 1, 4) More...
std::string | m_error
| the errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Footnote const &note)
| operator<< More...

## Detailed Description

Internal: the footnote.

## Constructor & Destructor Documentation

MSWTextInternal::Footnote::Footnote | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Footnote const & | note
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSWTextInternal::Footnote::m_error

the errors

int MSWTextInternal::Footnote::m_id

the id

Referenced by MSWText::readFootnotesPos().

MWAWEntry MSWTextInternal::Footnote::m_pos

the footnote data

Referenced by MSWText::flushExtra(), MSWText::readFootnotesPos(), and MSWText::sendFootnote().

int MSWTextInternal::Footnote::m_value

a value ( 1, 4)

Referenced by MSWText::readFootnotesPos().

The documentation for this struct was generated from the following file:

- MSWText.cxx